Eclipse Platform Release 3.7

## org.eclipse.ui.ide
Class IDEEncoding

    java.lang.Object
      org.eclipse.ui.ide.IDEEncoding

    public final class IDEEncoding

extends Object

IDEEncoding is a utility class for managing encoding information that includes user preferences from the IDE and core resources.

This class provides all its functionality via static methods. It is not intended to be instantiated or subclassed.

Since:
  3.1
See Also:
  `WorkbenchEncoding`, `ResourcesPlugin`

Field Summary
`static String` `BOM_UTF_16BE` Display constant for the UTF 16 big endian byte order marker for resources.
`static String` `BOM_UTF_16LE` Display constant for the UTF 16 little endian byte order marker for resources.
`static String` `BOM_UTF_8` Display constant for the UTF 8 byte order marker for resources.

Method Summary
`static void` `addIDEEncoding(String value)` Add value to the list of workbench encodings.
`static void` `clearUserEncodings()` Clear the IDE encodings preference.
`static String` `getByteOrderMarkLabel(IContentDescription description)` Get the displayable string for the byte order marking from the supplied file description.
`static List` `getIDEEncodings()` Get all of the available encodings including any that were saved as a preference in the IDE or in core resources.
`static String` `getResourceEncoding()` Get the current value of the encoding preference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOM_UTF_8

    public static String BOM_UTF_8

  Display constant for the UTF 8 byte order marker for resources.

### BOM_UTF_16BE

    public static String BOM_UTF_16BE

  Display constant for the UTF 16 big endian byte order marker for resources.

### BOM_UTF_16LE

    public static String BOM_UTF_16LE

  Display constant for the UTF 16 little endian byte order marker for resources.

Method Detail

### getIDEEncodings

    public static List getIDEEncodings()

  Get all of the available encodings including any that were saved as a preference in the IDE or in core resources.

  Returns:
    List of String

### getResourceEncoding

    public static String getResourceEncoding()

  Get the current value of the encoding preference. If the value is not set return `null`.

  Returns:
    String

### addIDEEncoding

    public static void addIDEEncoding(String value)

  Add value to the list of workbench encodings.

  Parameters:
    `value` -

### clearUserEncodings

    public static void clearUserEncodings()

  Clear the IDE encodings preference.

### getByteOrderMarkLabel

    public static String getByteOrderMarkLabel(IContentDescription description)

  Get the displayable string for the byte order marking from the supplied file description.

  Parameters:
    `description` - The description to query. May be `null`.
  Returns:
    String or `null` if the byte order mark cannot be found or the description is `null`.
  See Also:
    `IContentDescription.getProperty(org.eclipse.core.runtime.QualifiedName)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.